const path = require('path');
const webpackRules = [];
const webpackOption = {
    mode: 'production',
    entry: './lib/expressionEvaluator.js',
    output: {
        path: path.resolve(__dirname, 'dist'),
        filename: 'expression-evaluator.js',
        library: 'expressionEvaluator'
    },
    module: {
        rules: webpackRules
    }
};
const babelLoader = {
    test: /\.js$/,
    exclude: /(node_modules|bower_components)/,
    use: {
        loader: 'babel-loader',
        options: {
            presets: [['env', {
                'targets': {
                    'browsers': ['last 2 versions', 'ie >= 10']
                }
            }]]
        }
    }
};
webpackRules.push(babelLoader);

module.exports = webpackOption;